commit 7eba5b286e991d3e16321791805704815a02ee92
Author: Iain Sandoe <iain@sandoe.co.uk>
Date:   Sun Sep 22 14:30:30 2024 +0100

    libgcc, Darwin: From macOS 11, make that the earliest supported.
    
    For libgcc, we have (so far) supported building a DSO that supports
    earlier versions of the OS than the target.  From macOS 11, there are
    APIs that do not exist on earlier OS versions, so limit the libgcc
    range to macOS11..current.
    
    libgcc/ChangeLog:
    
            * config.host: From macOS 11, limit earliest macOS support
            to macOS 11.
            * config/t-darwin-min-11: New file.
    
    Signed-off-by: Iain Sandoe <iain@sandoe.co.uk>
    (cherry picked from commit 43eab54939d37d4e634a692910d31adafc053e38)

diff --git a/libgcc/config.host b/libgcc/config.host
index e75a7af647f..73329037044 100644
--- a/libgcc/config.host
+++ b/libgcc/config.host
@@ -236,7 +236,10 @@ case ${host} in
   esac
   tmake_file="$tmake_file t-slibgcc-darwin"
   case ${host} in
-    *-*-darwin1[89]* | *-*-darwin2* )
+    *-*-darwin2*)
+      tmake_file="t-darwin-min-11 $tmake_file"
+      ;;
+    *-*-darwin1[89]*)
       tmake_file="t-darwin-min-8 $tmake_file"
       ;;
     *-*-darwin9* | *-*-darwin1[0-7]*)
diff --git a/libgcc/config/t-darwin-min-11 b/libgcc/config/t-darwin-min-11
new file mode 100644
index 00000000000..4009d41addb
--- /dev/null
+++ b/libgcc/config/t-darwin-min-11
@@ -0,0 +1,3 @@
+# Support building with -mmacosx-version-min back to macOS 11.
+DARWIN_MIN_LIB_VERSION = -mmacosx-version-min=11
+DARWIN_MIN_CRT_VERSION = -mmacosx-version-min=11

